Skip to content

Get Non-Log Text Data Schema Information



GET /api/v1/metric_info/text_data/schema

Overview

Get the schema information for non-log text data based on the namespace (the field structure is consistent with time series data, but the field does not include tags fields).

Query Request Parameters

Parameter Name Type Required Description
namespace string Y Namespace, used to distinguish non-log text data types such as LLM, APM, RUM, etc.
Allow empty: False

Parameter Supplementary Description

Get the schema information for non-log text data via the show_xxxx_field('*') function, where xxxx is mapped from the namespace.

Supported namespace values are as follows:

namespace Chinese Description
object Object data
object_history Object history
custom_object Custom object
custom_object_history Custom object history
keyevent Event
audit_event Audit event
unrecovered_event Unrecovered event
tracing APM
rum RUM
security Security
network Network
backup_log Backup log
profiling Profiling
rum_metric RUM Metrics
network_metric Network Metrics
tracing_metric APM Metrics
billing Billing
dialtest Testing
execution_log Execution log
llm Large Language Model
errorhub Error Tracking

Request Example

curl -k 'https://openapi.truewatch.com/api/v1/metric_info/text_data/schema?namespace=llm' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": {
        "declaration": {
            "business": "",
            "organization": "663dbba102482200070bbb02"
        },
        "fields": [
            {
                "description": "",
                "name": "output_tokens",
                "type": "text",
                "value_type": "long"
            },
            {
                "description": "",
                "name": "create_time",
                "type": "text",
                "value_type": "long"
            },
            {
                "description": "",
                "name": "llm_provider",
                "type": "text",
                "value_type": "keyword"
            },
            {
                "description": "",
                "name": "ttft",
                "type": "text",
                "value_type": "long"
            },
            {
                "description": "",
                "name": "metadata",
                "type": "text",
                "value_type": "keyword"
            }
        ],
        "namespace": "llm"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "69ba6c7800000000411c4a258db89fbe"
}